Get WhatsApp config details
curl --request GET \
--url https://app.kapso.ai/api/v1/whatsapp_configs/{whatsapp_config_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.kapso.ai/api/v1/whatsapp_configs/{whatsapp_config_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.kapso.ai/api/v1/whatsapp_configs/{whatsapp_config_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "4a5b6c7d-8e9f-0a1b-2c3d-4e5f6a7b8c9d",
"name": "Client WhatsApp",
"display_name": "Client WhatsApp (+1234567890)",
"phone_number_id": "1234567890",
"business_account_id": "98765432109",
"display_phone_number": "+56 9 61461262",
"display_phone_number_normalized": "56961461262",
"webhook_verify_token": "<string>",
"webhook_destination_url": "<string>",
"customer_id": "3f2e1d0c-9b8a-7f6e-5d4c-3b2a1f0e9d8c",
"inbound_processing_enabled": true,
"calls_enabled": false,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "Resource not found"
}{
"error": "Resource not found"
}WhatsApp Configs
Get WhatsApp config details
Returns details for a specific WhatsApp configuration
GET
/
whatsapp_configs
/
{whatsapp_config_id}
Get WhatsApp config details
Authorizations
Your project API key
Path Parameters
Response
WhatsApp configuration details
WhatsApp configuration for a customer. Note: webhook_verify_token and webhook_destination_url are write-only fields and will not be returned in API responses for security reasons.
Show child attributes
Show child attributes
⌘I

